Opened 5 years ago

Closed 10 months ago

Last modified 10 months ago

#48688 closed defect (fixed)

py27-ipyparallel @4.0.2_0 conflicts with py27-ipython

Reported by: my@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: Cc: stromnov (Andrew Stromnov), lpsinger (Leo Singer), seanfarley (Sean Farley), dershow, skymoo (Adam Mercer), petrrr
Port: py-ipyparallel py-ipython

Description

$ port outdated
The following installed ports are outdated:
py27-ipython                   3.2.1_0 < 4.0.0_0
py27-readline                  6.2.4.1_0 < 6.2.4.1_1
ruby22                         2.2.2_0 < 2.2.3_0
--
$ sudo port upgrade outdated
--->  Computing dependencies for py27-ipyparallel
--->  Fetching archive for py27-ipyparallel
--->  Attempting to fetch py27-ipyparallel-4.0.2_0.darwin_14.noarch.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/py27-ipyparallel
--->  Attempting to fetch py27-ipyparallel-4.0.2_0.darwin_14.noarch.tbz2 from http://jog.id.packages.macports.org/macports/packages/py27-ipyparallel
--->  Attempting to fetch py27-ipyparallel-4.0.2_0.darwin_14.noarch.tbz2 from http://packages.macports.org/py27-ipyparallel
--->  Fetching distfiles for py27-ipyparallel
--->  Verifying checksums for py27-ipyparallel
--->  Extracting py27-ipyparallel
--->  Configuring py27-ipyparallel
--->  Building py27-ipyparallel
--->  Staging py27-ipyparallel into destroot
--->  Installing py27-ipyparallel @4.0.2_0
--->  Activating py27-ipyparallel @4.0.2_0
Error: org.macports.activate for port py27-ipyparallel returned: Image error: /opt/local/Library/Frameworks/Python.framework/Versions/2.7/bin/ipcluster is being used by the active py27-ipython port.  Please deactivate this port first, or use 'port -f activate py27-ipyparallel' to force the activation.
Please see the log file for port py27-ipyparallel for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-ipyparallel/py27-ipyparallel/main.log
Error: Problem while installing py27-ipyparallel
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets

Attachments (1)

main.log (134.7 KB) - added by my@… 5 years ago.

Download all attachments as: .zip

Change History (8)

Changed 5 years ago by my@…

Attachment: main.log added

comment:1 Changed 5 years ago by ryandesign (Ryan Schmidt)

Cc: aronnax@… sean@… added
Keywords: ipython removed
Port: py27-ipython added
Summary: Failed in activating py27-ipyparallel @4.0.2_0py27-ipyparallel @4.0.2_0 conflicts with py27-ipython

comment:2 Changed 5 years ago by dershow

Cc: dersh@… added

Cc Me!

comment:3 Changed 5 years ago by skymoo (Adam Mercer)

Cc: ram@… added

Cc Me!

comment:4 Changed 5 years ago by dershow

This seems to have been fixed. At least it failed for me yesterday, and today it is working. Yesterday the attempted update to ipython attempted to install py27-ipyparallel and failed. Today, it made that optional, but, installing it succeeded. So, it seems that there was a fix introduced, so this ticket should be closed.

comment:5 Changed 5 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:6 Changed 14 months ago by mf2k (Frank Schima)

Port: py-ipyparallel py-ipython added; py27-ipyparallel py27-ipython removed

comment:7 Changed 10 months ago by reneeotten (Renee Otten)

Resolution: fixed
Status: newclosed

it appears that the issue was resolved for the OP and the file the current version of py-ipyparallel and py-ipython do no longer both provide the file in question (i.e., $prefix/Library/Frameworks/Python.framework/Versions/2.7/bin/ipcluster). Closing this ticket.

Last edited 10 months ago by reneeotten (Renee Otten) (previous) (diff)
Note: See TracTickets for help on using tickets.